List agents
curl --request GET \
--url https://api.callin.io/api/public/v1/agents \
--header 'x-api-key: <api-key>'import requests
url = "https://api.callin.io/api/public/v1/agents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.callin.io/api/public/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"agentId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"metadata": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"userId": "<string>",
"userEmail": "<string>"
}
}
}
],
"pagination": {
"pageSize": 123,
"hasMore": true,
"nextCursor": "<string>",
"sortBy": "name",
"sortDirection": "asc"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"fields": [
{}
]
}
}Agents
List agents
Returns a paginated list of AI voice agents in your account. Use search to filter by name, sortBy and sortDirection to control ordering, and cursor and pageSize to page through results.
GET
/
public
/
v1
/
agents
List agents
Authorizations
ApiKeyHeaderBearerAuth
Send your Callin API key in the x-api-key header.
Query Parameters
Filter agents by name (case-insensitive partial match).
Field to sort by. Defaults to created_at.
Available options:
name, created_at Sort order. Defaults to desc.
Available options:
asc, desc Pagination cursor from the previous response nextCursor. Pass an ISO timestamp when sorting by created_at, or a name string when sorting by name.
Number of agents per page. Min 1, max 100, default 30.
Required range:
1 <= x <= 100Was this page helpful?

